@font-face
{
font-family: "square";
src: url("fonts/Zero_Threes.eot");
}

@font-face
{
font-family: "square";
src: url("fonts/Zero_Threes.ttf");
}

@font-face
{
font-family: ArialBlack;
src: local("Arial Black");
}

body
{
position:absolute;
width:800px;
height:450px;
padding:0px;
margin:0px;
overflow:hidden;
font-family:Arial Black, ArialBlack;
}

#main_div
{
position:absolute;
top:0px;
left:0px;
width:800px;
height:450px;
overflow:hidden;
padding:0;
margin:0;
}

#frontpage_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/frontpage_background.png);
}

#info_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/info_background.png);
display:none;
}

#pregame_1_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/pregame_1_background.png);
display:none;
}

#pregame_2_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/pregame_2_1_background.png);
display:none;
}

#pregame_3_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/pregame_3_background.png);
display:none;
}

#pregame_4_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/pregame_4_1_background.png);
display:none;
}

#menu_conf_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/back_to_menu.png);
display:none;
}

#track_sides
{
position:absolute;
top:139px;
left:0px;
width:800px;
height:311px;
background: linear-gradient(
  to bottom,
  #f00,
  #f00 50%,
  #fff 50%,
  #fff
);
background-size: 100% 20px;
}

.track_move
{
animation:track_anim 0.25s linear infinite;
}

@keyframes track_anim
{
50%
	{
	background-position-y:20px;
	}
	
100%
	{
	background-position-y:40px;
	}
}

#car_left
{
position:absolute;
top:410px;
left:-60px;
width:255px;
}

#car_right
{
position:absolute;
top:410px;
left:610px;
width:255px;
}

.car_drive_left
{
animation:car_anim_left 1.5s linear
}

@keyframes car_anim_left
{
25%
	{
	width:200px;
	}

50%
	{
	width:150px;
	}

75%
	{
	width:100px;
	}

100%
	{
	top:120px;
	left:370px;
	width:50px;
	}
}

.car_drive_right
{
animation:car_anim_right 1.5s linear
}

@keyframes car_anim_right
{
25%
	{
	width:200px;
	}

50%
	{
	width:150px;
	}

75%
	{
	width:100px;
	}

100%
	{
	top:120px;
	left:420px;
	width:50px;
	}
}

#game_over_lose_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/game_over_lose_background.png);
display:none;
}

#game_over_win_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:url(images/game_over_win_background.png);
display:none;
}

#game_over_text_div
{
position: absolute;
top:51px;
left:88px;
width:634px;
font-size:31px;
}

#score_div
{
position:absolute;
top:20px;
left:63px;
width:250px;
height:100px;
font-size:60px;
font-family:square;
}

#score_yellow
{
color:#f4c805;
margin-left:-20px
}

#score_red
{
color:#ff0000;
margin-left:20px;
}

#game_bottom
{
position:absolute;
bottom:0px;
left:0px;
width:800px;
height:70px;
background-image:url(images/game_bottom.png);
}

#equation_div
{
position:absolute;
top:10px;
left:250px;
width:280px;
height:100px;
font-size:62px;
font-weight:bold;
font-family:Arial Black, ArialBlack;
color:#f4c805;
}

#timer_div
{
position:absolute;
top:19px;
left:615px;
width:250px;
height:100px;
font-size:60px;
font-family:square;
color:#f4c805;
}

.game_button
{
position:absolute;
width:90px;
height:126px;
font-size:48px;
text-align:center;
padding-top:26px;
cursor:pointer;
font-family:Arial Black, ArialBlack;
font-weight:bold;
color:#454545;
}

#race_limit_div
{
position:absolute;
top:123px;
left:289px;
width:230px;
height:100px;
text-align:center;
color:#f4c805;
font-size:16px;
}

#race_limit_input
{
width:105px;
height:61px;
border:none;
outline:none;
background:none;
color:#f4c805;
padding-top:19px;
font-size:52px;
font-weight:bold;
text-align:center;
}

.button_glow
{
position:absolute;
width:86px;
height:81px;
margin-left:-16px;
margin-top:-20px;
cursor:pointer;
background:url(images/yellow_button_glow.png);
background-size:100% 100%;
opacity:1;
}

#game_menu_div
{
display:none;
position:absolute;
top:0px;
left:0px;
overflow:hidden;
}

#game_menu_inner
{
position:absolute;
top:0px;
left:1300px;
width:100%;
height:100%;
}

#animated_logo_small
{
position:absolute;
top:13px;
left:802px;
width:293px;
height:124px;
background:url(images/logo_animation_small.png);
}

#game_div
{
display:none;
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
overflow:hidden;
}

#raceday_button_glow
{
position:absolute;
top:305px;
left:291px;
height:89px;
cursor:pointer;
display:none;
}

#raceday_button
{
position:absolute;
top:314px;
left:318px;
cursor:pointer;
}

#finishline_button_glow
{
position:absolute;
top:206px;
left:293px;
height:108px;
cursor:pointer;
display:none;
}

#finishline_button
{
position:absolute;
top:221px;
left:316px;
cursor:pointer;
}

#start_diamond_glow
{
position:absolute;
top:249px;
left:850px;
top:252px\9;
left:854px\9;
width:230px;
display:none;
}

#start_diamond
{
position:absolute;
top:270px;
left:870px;
cursor:pointer;
width:190px;
}

#addition_button_glow
{
position:absolute;
top:119px;
left:285px;
height:81px;
cursor:pointer;
opacity:0.5;
display:none;
}

#addition_button
{
position:absolute;
top:128px;
left:317px;
height:61px;
cursor:pointer;
}

#subtraction_button_glow
{
position:absolute;
top:172px;
left:290px;
height:83px;
cursor:pointer;
opacity:0.5;
display:none;
}

#subtraction_button
{
position:absolute;
top:182px;
left:317px;
height:63px;
cursor:pointer;
}

#multiplication_button_glow
{
position:absolute;
top:230px;
left:290px;
height:83px;
cursor:pointer;
opacity:0.5;
display:none;
}

#multiplication_button
{
position:absolute;
top:238px;
left:314px;
height:65px;
cursor:pointer;
}

#division_button_glow
{
position:absolute;
top:296px;
left:284px;
height:102px;
cursor:pointer;
opacity:0.5;
display:none;
}

#division_button
{
position:absolute;
top:310px;
left:318px;
height:74px;
cursor:pointer;
}

.button
{
position:absolute;
cursor:pointer;
}

.preload
{
width:1px;
height:1px;
opacity:0;
}

.button2, .button2:visited
{
background: #222 url(images/alert-overlay.png) repeat-x;
display: inline-block;
padding: 5px 10px 6px;
color: #fff;
text-decoration: none;
border-radius: 5px;
-webkit-border-radius: 5px;
box-shadow: 0 1px 3px rgba(0,0,0,0.5);
-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.5);
text-shadow: 0 -1px 1px rgba(0,0,0,0.25);
border-bottom: 1px solid rgba(0,0,0,0.25);
position: relative;
cursor: pointer;
}

.button2:hover { background-color: #111; color: #fff; }
.button2:active { top: 1px; }
.button2, .button2:visited,
.medium.button2, .medium.button2:visited { font-size: 13px; font-weight: bold; line-height: 1; text-shadow: 0 -1px 1px rgba(0,0,0,0.25); }
.blue.button2, .blue.button2:visited { background-color: #2daebf; }
.blue.button2:hover { background-color: #007d9a; }
